FreeStyle LibreLink App

The FreeStyle Libre Flash Glucose Monitoring System is indicated for measuring interstitial fluid glucose levels in people (age 4 and older) with insulin-dependent diabetes mellitus. The indication for children (age 4 - 17) is limited to those who are supervised by a caregiver who is at least 18 years of age.

1. The FreeStyle LibreLink app is compatible with NFC enabled phones running on Android OS 5.0 or higher and with iPhone 7 and higher running iOS 11 and higher.

2. The FreeStyle LibreLink app and the FreeStyle Libre reader have similar but not identical features. A finger prick test using a blood glucose meter is required during times of rapidly changing glucose levels when interstitial fluid glucose levels may not accurately reflect blood glucose levels or if hypoglycaemia or impending hypoglycaemia is reported by the FreeStyle LibreLink app or when symptoms do not match the FreeStyle LibreLink app readings. 
 

Apply sensor

Scan sensor

View reading

REAL-TIME GLUCOSE

View your current reading, trend arrow, and history.

Step 1


CURRENT GLUCOSE READING

Text-to-speech option, when enabled

Step 1


TREND ARROW

Indicates how glucose is changing

Step 1


GLUCOSE HISTORY

Up to the last 8 hours

Step 1


ADD NOTE

Track food, insulin use, exercise, and other events

TRENDS AND PATTERNS

Easy access to glucose insights

A
AMBULATORY GLUCOSE PROFILE


SHARE REPORTS WITH OTHERS


DATA STORED FOR UP TO 90 DAYS


Apple and the Apple logo are trademarks of Apple Inc., registered in the U.S. and other countries. App Store is a service mark of Apple Inc., registered in the U.S. and other countries.

Google Play and the Google Play logo are trademarks of Google LLC.

 

Learn more about your phone's compatibility with our smartphone compatibility guide.

       
  Android    
  Operating System   Android 5.0 or higher
  Near-Field Communication (NFC):   Your smartphone must have NFC capabilities and NFC must be enabled.
       
  iOS    
  Phone models:   iPhone 7 or higher
 

Operating system:

 

  OS 11 or higher